import gradio as gr
import time
import random

# Список классов и их описания
class_descriptions = {
    "road_conditions": "Состояние дорожного покрытия, препятствия на дорогах, ямы, пробки.",
    "traffic_accidents": "Информация о ДТП, месте, участниках и последствиях.",
    "weather_conditions": "Погодные условия, влияющие на дорожное движение.",
    "parking_and_stopping": "Парковка и остановка транспортных средств.",
    "public_transport": "Информация о маршрутах, графиках, доступности общественного транспорта.",
    "fares_and_payments": "Тарифы, оплата проезда в транспорте.",
    "traffic_violations_and_fines": "Нарушения ПДД, штрафы и их оплата.",
    "routes_and_navigation": "Маршруты, навигация, оптимизация пути.",
    "emergency_assistance": "Экстренная помощь на дороге.",
    "informational_requests": "Общие информационные запросы.",
    "technical_issues": "Технические неисправности транспортных средств.",
    "accessibility_for_disabled": "Доступность для лиц с ограниченными возможностями.",
    "environmental_issues": "Экологические проблемы, связанные с транспортом.",
    "events_and_restrictions": "События, ограничения на дороге из-за мероприятий.",
    "complaints_and_suggestions": "Жалобы и предложения по улучшению.",
    "delays_and_holdups": "Задержки движения, затруднения.",
    "tickets_and_reservations": "Билеты, бронирование поездок.",
    "road_safety": "Безопасность на дороге.",
    "new_projects_information": "Информация о новых проектах в транспортной инфраструктуре.",
    "special_services": "Особые услуги, связанные с транспортом."
}

def classify_request(user_input):
    # Мокаем обработку запроса
    time.sleep(2)  # Симуляция задержки
    random_class = "road_conditions"  # Укажите фиксированный класс
    description = class_descriptions[random_class]
    return f"Класс: {random_class}\nОписание: {description}"


# Интерфейс Gradio
iface = gr.Interface(
    fn=classify_request,
    inputs=gr.Textbox(label="Введите ваш запрос", placeholder="Опишите проблему или задайте вопрос..."),
    outputs=gr.Textbox(label="Результат классификации"),
    title="Классификация запросов",
    description="Этот инструмент классифицирует запросы по предопределённым категориям."
)

# Запуск приложения
iface.launch(server_name="0.0.0.0", server_port=7860)
